gRPC C#
gRPC C#
Namespaces
Grpc.Core
ServerServiceDefinition.Builder Class
ServerServiceDefinition.Builder Constructor
Builder Methods

ServerServiceDefinition Builder Class

Builder class for ServerServiceDefinition.
Inheritance Hierarchy
System
Object
Grpc.Core
ServerServiceDefinition
Builder

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class Builder

    Public Class Builder

    public ref class Builder

    type Builder =  class end

The ServerServiceDefinition
Builder type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ServerServiceDefinition Builder | Creates a new instance of builder.

Top
Methods

| Name | Description
--- | --- | ---
| AddMethod TRequest, TResponse (Method TRequest, TResponse , ClientStreamingServerMethod TRequest, TResponse ) | Adds a definitions for a client streaming method.
| AddMethod TRequest, TResponse (Method TRequest, TResponse , DuplexStreamingServerMethod TRequest, TResponse ) | Adds a definitions for a bidirectional streaming method.
| AddMethod TRequest, TResponse (Method TRequest, TResponse , ServerStreamingServerMethod TRequest, TResponse ) | Adds a definitions for a server streaming method.
| AddMethod TRequest, TResponse (Method TRequest, TResponse , UnaryServerMethod TRequest, TResponse ) | Adds a definitions for a single request - single response method.
| Build | Creates an immutable ServerServiceDefinition from this builder.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace